// Подключаем библиотеку управляющую дальномером.
#include "Ultrasonic.h"
// Инициализируем дальномер
// Контакт Trig соединен с 5 портом, Echo с 6 портом.
Ultrasonic sonar(5, 6);

void setup()
{
  // При инициализации задаем скорость порта для связи с ПК.
  Serial.begin(9600); 						// start the serial port
  pinMode(13, INPUT);
}

void loop()
{
  // В цикле loop отправляем значение полученное с дальномера в порт через 0,5с.
  int prepyatstvie = sonar.Ranging(CM); 	// получаем дистанцию с сантиметрах.
  long prepyatstvie2 = sonar.Timing();
  
  Serial.print("Distance="); // оформляем вывод.
  Serial.print(prepyatstvie); 					// выводим дистанцию.
  Serial.println(" cm."); // оформляем вывод.
  
  Serial.print("Time sonar="); // оформляем вывод.
  Serial.print(prepyatstvie2);           // выводим дистанцию.
  Serial.println(" micros"); // оформляем вывод.

  delay(1500); 								// приостанавливаем программу.
}
